Subject: Re: [bug#31548] [PATCH] gnu: Add sbcl-stumpwm-checkout.

From: [email-masked] (Ludovic Courtès)
Date: Wed, 23 May 2018 15:03:12 +0200

Hi Oleg,

Oleg Pykhalov <[email-masked]> skribis:

> * gnu/packages/lisp.scm (sbcl-stumpwm-checkout): New public variable.

[...]

> +(define-public sbcl-stumpwm-checkout
> +  (let ((commit "cec7fd9e963e5da59b05ba0ffbe292dc94fd2947"))
> +    (package
> +      (inherit sbcl-stumpwm)
> +      (version (git-version (package-version sbcl-stumpwm) "1" commit))

Could you explain the rationale and write that as a comment?  :-)

As you know we currently avoid packaging unreleased versions unless we
have a good reason to do so (info "(guix) Version Numbers").

TIA!

Ludo’.